/*
 * Copyright 2004-2008 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.extension.jdbc.gen.internal.util;

import org.junit.Test;

import static org.junit.Assert.*;

/**
 * @author taedium
 * 
 */
public class EnvAwareFilenameFilterTest {

    /**
     * 
     * @throws Exception
     */
    @Test
    public void testAccept() throws Exception {
        EnvAwareFilenameFilter filter = new EnvAwareFilenameFilter("ut");
        assertTrue(filter.accept(null, "aaa_ut.txt"));
        assertTrue(filter.accept(null, "aaa_it"));
        assertTrue(filter.accept(null, "_it.txt"));
        assertTrue(filter.accept(null, "_"));
        assertFalse(filter.accept(null, "aaa_it.txt"));
    }
}
